%ext ck5
%version 1.4
# Load the modified graphics
%egahead EGAHEAD.ck5
%maphead maphead.ck5	
%patchfile $25B22 UltraII.tli
%patchfile $21C80 AUDIOHED.CK5	#Audio header
%patchfile $35EC4 AUDIODCT.CK5	#Audio dictionary
%patchfile $20cd7 ck5load.bin 	
%patchfile $1FDE0 "STORY.CK5"	

#Ignore elevators entirely (Don't place their starts in map level, or
#take notice of when fuse levels are done OR keen's map pos
%patch $F431 $90 $90

#################
# Levels                      #
#################

%level.name 0 Greenland
%level.entry 0 Keen explores\n Greenland

%level.name 1 The Coast
%level.entry 1 Keen washes himself\n near the Coast

%level.name 2 Mountains
%level.entry 2 Keen passes through\n Mountains

%level.name 3 Ice Forest
%level.entry 3 Keen visits the\n Ice Forest

%level.name 4 Ice Fort
%level.entry 4 Keen freezes in the\n Ice Fort

%level.name 5 Ice Forest II
%level.entry 5 Keen visits the\n Ice Forest II

%level.name 6 Ice Pyramid
%level.entry 6 Keen visits the\n Ice Pyramid

%level.name 7 Ninja Fort
%level.entry 7 Keen attacks the\n Ninja Fort

%level.name 8 Radioactive Fort
%level.entry 8 Keen disables the\n Radioactive\n Snowflake Fort

%level.name 9 Ice City
%level.entry 9 Keen visits\n the Ice City

%level.name 10 Disabled Base
%level.entry 10 Keen returns to the\n Disabled Base

%level.name 11 Test Level
%level.entry 11 Keen enters in the\n Test Level

%level.name 12 The Gadget
%level.entry 12 Keen disables the\n Gadget


#             VALUE   LEVEL                      MUSIC PLAYED            LEVEL No
%patch $3067A $0009W  #Map                       (Omegamatic)              0
              $0000W  #Ion Ventilation System    (Came In)  1
              $0007W  #Security Center           (Security Center)         2
              $0008W  #Defense Tunnel Vlook      (Be Sphereful)            3
              $0007W  #Energy Flow Systems       (Make it Tighter)         4
              $0008W  #Defense Tunnel Burrh      (Be Sphereful)            5
              $0005W  #Regulation Control Center (Make it Tighter)         6
              $0007W  #Defense Tunnel Sorra      (Be Sphereful)            7
              $0006W  #Neutrino Burst Injector   (Make it Tighter)         8
              $0006W  #Defense Tunnel Teln       (Be Sphereful)            9
              $0005W  #Brownian Motion Inducer   (Security Center)         10
              $000AW  #Gravitational Damping Hub (Snooping)                11
              $0008W  #Quantum Explosion Dynamo  (QED)                     12
              $0003W  #Ending\Level 14           (Make it Tighter)                 14
              $0000W  #High Scores               (High Scores)             15
%patch $3069C $0001W  #Scrolling Story      (Armageddon Machine)     
              $0000W  #Game Over            (Came In)                 
              $0000W  #Help                 (Help) 

#---HIGH SCORES---
%patch $33D56 "Episode 13.5     " $00
%patch $33D96 "Robot            " $00
%patch $33DD6 "Ninja            " $00
%patch $33E16 "Robo Green        " $00
%patch $33E56 "Robot           " $00
%patch $33E96 "Sorcerer         " $00
%patch $33ED6 "Bird VIII            " $00
%patch $33F16 "Koarthbot         " $00



#Text
%patch $30864 " Warp to which level(1-12):" $00
%patch $7799 $0C

####Enemies####

              
#Spindred jump height
%patch $12A65 $C8 $FF

#Spindred bounces on the floor exclusively
%patch $12A32 $FF $FF #Bounce 65'535 times on the floor before...
%patch $129E5 $03 $00 #Bouncing 3 times on the ceiling

#Cache
%patch $31A3C $0183W #Robo Red cache start
%patch $31A90 $0188W #Cache end

#New collision: Robored stun
%patch $1264D $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $09
              $9A $0AAF1517RL     $5F $5E $5D $CB $83 $3D $03 $75 $18 $C7 $44
              $16 $0000W  $C7 $44 $06 $0001W  $B8 $00F2W  $50 $57 $56 $9A $090B16CDRL
                          $83 $C4 $06 $5F $5E $5D $CB


#New action: Robored stunned 
%patch $30432 $0188W $0188W $0002W $0000W $0000W $0000W $0000W $0000W
              $090B1710RL   $00000000L    $090B195ARL   $0000W

#Red's smashed shots
%patch $32B44 $0000W #Robo Red shot smash 1(Vanish so only seen when stunned)

#Red can't be lured off ledges 
%patch $32ABC $0000W 
%patch $12711 $5F $5E $5D $CB 

#Invincible nonbouncing slicestars 
%patch $1175F $90 $90 $90 $90 $90 

#Invincible bouncing slicestars 
%patch $11803 $90 $90 $90 $90 $90

#Korath are deadly, shootable
%patch $13956 $55 $8B $EC $56 $8B $76 $08 $83 $3C $02 $75 $08 $9A $0AAF1517RL #Check for Keen, if yes, kill
                      $5E $5D $CB $83 $3C $03 $75 $10 $B8 $3168W  $50 $56 $FF #Check for Keen shot, if yes, stun
                  $76 $06 $9A $090B16CDRL     $83 $C4 $06 $5E $5D $CB

#Initial Volte-face direction: Right 
%patch $10B93 $C7 $47 $0E $0001W 
%patch $10B10 $0001W 

#New Volte-face actions, act like a horizontal platform 
%patch $3200C $01A1W $01A3W $0003W $0000W $0000W $0006W $0000W $0000W 
              $0F92127ERL   $0F92149DRL   $090B17B5RL   $1CEAW 
%patch $3202A $01A2W $01A4W $0003W $0000W $0000W $0006W $0000W $0000W 
              $0F92127ERL   $0F92149DRL   $090B17B5RL   $1CCCW 

#Custom Volte-Face speed 
%patch $10B9E $55 $8B $EC $83 $EC $04 $56 $57 $8B $7E $06 $83 $3E $85 $BF $00 
              $75 $1F $83 $3E $83 $BF $00 $75 $18 $8B $45 $0E $BA $0020W  $F7 
              $EA $F7 $2E $B4 $9B $A3 $85 $BF $8B $45 $10 $BA $0020W  $E9 
          $F721W  $5F $5E $8B $E5 $5D $CB

#Polesparks check horizontally, not vertically for Keen:
%patch $130F5 $0A
%patch $130FC $0A

#Shikadi's strength
%patch $12EFA $0008W

#Polesparks move horizontally. They also animate and (mostly) move toward Keen
#SIDE EFFECT: Polesparks don't always go in Keen's direction
%patch $130F5 $0A		#Zap 1 checks horizontally for Keen, not vertically
%patch $130FC $0A		#Zap 2 checks horizontally for Keen, not vertically

%patch $13105 $0E		#Zap 1 (mostly) heads horizontally for Keen, not vertically
%patch $13110 $0E		#Zap 2 (mostly) heads horizontally for Keen, not vertically

%patch $331A4 $0003W		#Zap frame 1 animates
%patch $331C2 $0003W		#Zap frame 2 animates

%patch $331AA $00000000L	#Zap frame 1 ignores vertical speed stuff
%patch $331C8 $00000000L	#Zap frame 2 ignores vertical speed stuff

%patch $331A6 $0040W		#Zap frame 1 speed
%patch $331C4 $0040W		#Zap frame 2 speed

#When spawned
%patch $11998 $24E8W #Shelly fall

#Shelly jump
%patch $11B95 $24ACW #Shelly prepare to jump


%patch $11AF5 $1B     #Shelley explode when shot sound
%patch $11BE0 $1B     #Shelley explode when hitting the ground sound

#Animations Shelly jump
%patch $327CE $01B0W $01ACW #Shelly prepare to jump


#Custom collision: Kill Keen and block shots sprite collision
%patch $79F6 $EB $5C # disable boss cheat
%patch $79F8 $55 $8B $EC $56 $57 $8B $76 $06 $8B $7E $08 $83 $3D $02 $75 $09
             $9A $0AAF1517RL     $5F $5E $5D $CB $83 $3D $03 $75 $18 $C7 $44
             $16 $0000W  $C7 $44 $06 $0001W  $B8 $2560W  $50 $57 $56 $9A $090B16CDRL #when shot -> smoke 2
                         $83 $C4 $06 $5F $5E $5D $CB
 

#Walk
%patch $3276A $06B90E68RL
%patch $32788 $06B90E68RL
%patch $327A6 $06B90E68RL
%patch $327C4 $06B90E68RL

#Jump
%patch $327E2 $06B90E68RL
%patch $32800 $06B90E68RL
%patch $3281E $06B90E68RL
%patch $3283C $06B90E68RL


#Shelley push Keen, don't explode
%patch $11AB6 $5F $5E $5D $CB


#smoke 1 ->vanish, no animation
%patch $3289E $0000W
%patch $32882 $0000W $0000W

#Shelley Smash A
%patch $32862 $2416W
#Shelley Smash B
%patch $32880 $2416W

#Smash smoke
%patch $32896 $00000000L #Deadly
%patch $328B4 $00000000L #Deadly
%patch $328D2 $00000000L #Deadly
%patch $328F0 $00000000L #Deadly



%patch $32766 $11020986RL #Shelly prepare to jump
%patch $32784 $11020986RL #Shelly prepare to jump
%patch $327A2 $11020986RL #Shelly prepare to jump
%patch $327C0 $11020986RL #Shelly prepare to jump

#Shelley don't jump off platform edges
%patch $119B7 $90 $90

#Shelley jump right
%patch $119DA $0020W #Width
%patch $119DF $FFC0W #Height

#Shelley jump left
%patch $11A03 $FFDFW #Width
%patch $11A08 $FFC0W #Height

#Produce these when smashed
%patch $11B3F $0000W #Shelly smash smoke
%patch $11A5A $0000W #Spawn Shelley right fragment
%patch $11A8D $0000W #Spawn Shelley left fragment

%patch $328A0 $01B9W $01B9W $0002W $0000W $0000W $0000W $0000W $0000W
              $090B1710RL $00000000L    $090B195ARL       $2560W 

#Sphereful has no diamonds
%patch $137AC $5F $5E $8B $E5 $5D $CB #No diamonds

#Shocksund strength
%patch $1328A $0005W

#What Master shoots
%patch $12B36 $27ACW

#When teleporting create...
%patch $12BFF $27ACW #Master sparks (Right)
%patch $12C2D $27ACW #Master sparks (Left)

#Shikadi Master shoot sound
%patch $12B63 $1D

#Shikadi Master teleport sound
%patch $12C3A $1D

#Shots when shooting randomly
%patch $12AF6 $0003W

#Shots when shot by Keen
%patch $12BA5 $0003W

#Q.E.D wins game when touched, doesn't explode
%patch $334DA $11C4047BRL
%patch $120BB $55 $8B $EC $56 $8B $76 $08 $83 $3C $02 $74 $03 $5E $5D $CB
              $9A $0F920677RL     $5E $5D $CB 

%end
